Skip to content

Training Cluster Plans

GET
/distributed_jobs_v2/cluster/plans/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/distributed_jobs_v2/cluster/plans/?project_id=<PROJECT_ID>&location=<LOCATION>&variant=<VARIANT>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

variant
required
string
Allowed values: e2e

Cluster variant

Successful response

Media typeapplication/json
object
code
integer
data
Array<object>
object
sku_id
integer
name
string
series
string
cpu
string
gpu
string
nullable
memory
string
gpu_memory
string
sku_type
string
is_free
boolean
is_active
boolean
plans
Array<object>
object
sku_item_price_id
integer
sku_type
string
Allowed values: hourly committed
committed_days
integer
unit_price
number
currency
string
is_active
boolean
description
string
nullable
location
string
gpu_card_type
string
nullable
local_storage_in_gb
integer
available_inventory_count
integer
variant
string
category
string
no_of_nodes
integer
optimal_rack
string
nullable
is_inventory_available
boolean
errors
object
message
string

Example

{
"code": 200,
"data": [
{
"sku_id": 309,
"name": "GDC.8xH10080-208.2000GB_SXM_v1",
"series": "GPU",
"cpu": "208",
"gpu": "8",
"memory": "2000GB",
"gpu_memory": "640GB",
"sku_type": "GDC-8xH10080",
"is_free": false,
"is_active": true,
"plans": [
{
"sku_item_price_id": 3416,
"sku_type": "hourly",
"committed_days": 0,
"unit_price": 1995.2,
"currency": "INR",
"is_active": true,
"description": "Hourly Compute Instance: distributed_job",
"location": "Delhi"
}
],
"gpu_card_type": "H100",
"local_storage_in_gb": 0,
"available_inventory_count": 0,
"variant": "e2e",
"category": "distributed_job",
"no_of_nodes": 1,
"optimal_rack": null,
"is_inventory_available": false
}
],
"errors": {},
"message": "Success"
}